import { Component, NgModule, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
import { __decorate } from 'tslib';
import { InputBoolean } from 'ng-zorro-antd/core/util';
import { NzTableModule } from 'ng-zorro-antd/table';
import { NzToolTipModule } from 'ng-zorro-antd/tooltip';

class HeaderComponent {
    constructor() { }
    ngOnInit() {
    }
}
HeaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-header',
                template: "<h1>\n  test\n  <ng-content></ng-content>\n</h1>\n",
                styles: ["h1{color:red}"]
            },] }
];
HeaderComponent.ctorParameters = () => [];

class HeaderModule {
}
HeaderModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    HeaderComponent
                ],
                imports: [
                    CommonModule
                ],
                exports: [
                    HeaderComponent // <-- this!
                ]
            },] }
];

class TnTableV1Component {
    constructor() {
        this.total = 0;
        this.setOfCheckedId = new Set();
        this.nzPageIndex = 1;
        this.nzLoading = false;
        this.checked = false;
    }
    // @Output() readonly nzPageIndexChange = new EventEmitter<number>();
    isString(value) {
        return typeof value === "string";
    }
    ngOnInit() {
        // this.nzPageIndexChange.next(pageIndex);
    }
    ngOnChanges(changes) {
        // console.log('this.nzData', this.nzData)
        console.log('this.columns', this.columns);
    }
}
TnTableV1Component.decorators = [
    { type: Component, args: [{
                selector: 'tn-table-v1',
                template: "<nz-table #basicTable \n  [nzData]=\"nzData\" \n  [nzFrontPagination]=\"false\" nzShowPagination nzShowSizeChanger nzTableLayout=\"fixed\" nzShowQuickJumper\n  [nzTotal]=\"total\" \n  [nzPageIndex]=\"nzPageIndex\" \n  (nzPageIndexChange)=\"nzPageIndexChange($event)\"\n  (nzPageSizeChange)=\"nzPageSizeChange($event)\"\n  [nzLoading]=\"nzLoading\"\n  [nzScroll]=\"{ y: 'calc(100vh - 230px)' }\"\n  [nzShowTotal]=\"totalTemplate\" >\n  <thead>\n    <tr>\n      <ng-container *ngFor=\"let column of columns\">\n        <th *ngIf=\"column.type === 'check'; else th\"\n            (nzCheckedChange)=\"onAllChecked($event)\"\n            [nzChecked]=\"checked\"></th>\n        <ng-template #th>\n          <th>{{column.name}}</th>\n        </ng-template>\n      </ng-container>\n      <!-- <th *ngFor=\"let column of columns\">{{column.name}}</th> -->\n    </tr>\n  </thead>\n  <tbody>\n    <tr *ngFor=\"let data of basicTable.data\">\n      <!-- <td [nzChecked]=\"true\"></td> -->\n      <ng-container *ngFor=\"let column of columns\">\n        <ng-container *ngIf=\"!column.type\">\n          <td *ngIf=\"column.field\" nz-tooltip [nzTooltipTitle]=\"data[column.field]\">{{data[column.field]}}</td>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'check'\">\n          <td [nzChecked]=\"setOfCheckedId.has(data[column.field])\" \n              (nzCheckedChange)=\"nzCheckedChange(data[column.field], $event)\"></td>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'custom'\">\n          <ng-template *ngTemplateOutlet=\"nzCell; context: data\"></ng-template>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'custom1'\">\n          <ng-template *ngTemplateOutlet=\"nzCell1; context: data\"></ng-template>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'custom2'\">\n          <ng-template *ngTemplateOutlet=\"nzCell2; context: data\"></ng-template>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'custom3'\">\n          <ng-template *ngTemplateOutlet=\"nzCell3; context: data\"></ng-template>\n        </ng-container>\n        <ng-container *ngIf=\"column.type === 'custom4'\">\n          <ng-template *ngTemplateOutlet=\"nzCell3; context: data\"></ng-template>\n        </ng-container>\n      </ng-container>\n    </tr>\n  </tbody>\n  <ng-template #totalTemplate let-total class=\"totalCount\"> \u5171\u6709 {{ total }} \u6761 </ng-template>\n  \n</nz-table>\n",
                styles: [""]
            },] }
];
TnTableV1Component.ctorParameters = () => [];
TnTableV1Component.propDecorators = {
    nzData: [{ type: Input }],
    columns: [{ type: Input }],
    nzCell: [{ type: Input }],
    nzCell1: [{ type: Input }],
    nzCell2: [{ type: Input }],
    nzCell3: [{ type: Input }],
    nzCell4: [{ type: Input }],
    total: [{ type: Input }],
    setOfCheckedId: [{ type: Input }],
    nzPageIndex: [{ type: Input }],
    nzLoading: [{ type: Input }],
    nzPageIndexChange: [{ type: Input }],
    nzPageSizeChange: [{ type: Input }],
    nzCheckedChange: [{ type: Input }],
    onAllChecked: [{ type: Input }],
    checked: [{ type: Input }]
};
__decorate([
    InputBoolean()
], TnTableV1Component.prototype, "nzLoading", void 0);

class TnTableV1Module {
}
TnTableV1Module.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    TnTableV1Component,
                ],
                imports: [
                    CommonModule,
                    NzTableModule,
                    NzToolTipModule,
                ],
                exports: [
                    TnTableV1Component
                ]
            },] }
];

/**
 * Generated bundle index. Do not edit.
 */

export { HeaderModule, TnTableV1Module, HeaderComponent as ɵa, TnTableV1Component as ɵb };
//# sourceMappingURL=tn-ng-components.js.map
